import { TextCellEditor, CellEditor, DataGrid, TextRenderer, CellRenderer, GraphicsContext } from 'tde-datagrid';
export declare class HeaderCellEditor extends TextCellEditor {
    /**
     * Edit a cell.
     */
    /**
     * Compute cell rectangle and return with other cell properties.
     */
    protected getCellInfo(cell: CellEditor.CellConfig): ICellInfo;
    /**
     * Reposition cell editor by moving viewport occluder and cell editor container.
     */
    protected updatePosition(): void;
}
export declare class HeaderTextRenderer extends TextRenderer {
    constructor(options: HeaderTextRenderer.IOptions);
    paint(gc: GraphicsContext, config: CellRenderer.CellConfig): void;
    private _headerIndent;
    private _dataDetection;
}
/**
 * A type alias for cell properties.
 */
export declare type ICellInfo = {
    grid: DataGrid;
    row: number;
    column: number;
    data: any;
    x: number;
    y: number;
    width: number;
    height: number;
};
/**
 * HeaderRenderer statics.
 */
export declare namespace HeaderTextRenderer {
    interface IOptions extends TextRenderer.IOptions {
        indent: number;
        dataDetection: boolean;
    }
}
